seqstat(1)

NAME

seqstat - show statistics and format for a sequence file

SYNOPSIS
seqstat [options] seqfile

DESCRIPTION
seqstat reads a sequence file seqfile in any supported format, and shows a number of simple statistics about it. Supported formats include (but are not limited to) the unaligned formats FASTA, Genbank, EMBL, SWISS-PROT, PIR, and GCG, and the aligned formats SELEX, Clustal, and GCG MSF. The printed statistics include the name of the format, the residue type of the first sequence (protein, RNA, or DNA), the number of sequences, the total number of residues, and the average and range of the sequence lengths.

OPTIONS

-a  Show additional verbose information: a table with one line per sequence showing name, length, and description line. These lines are prefixed with a * character to enable easily grep'ing them out and sorting them.

-h  Print brief help; includes version number and summary of all options, including expert options.

SEE ALSO

alistat getseq seqstat sreformat

AUTHOR
This software and documentation is Copyright (C) 1992-1998 Washington University School of Medicine. It is freely distributable under terms of the GNU General Public License. See COPYING in the source code distribution for more details, or contact me.
Sean Eddy
Dept. of Genetics
Washington Univ. School of Medicine
4566 Scott Ave.
St Louis, MO 63110 USA
Phone: 1-314-362-7666
FAX  : 1-314-362-7855
Email: eddy@genetics.wustl.edu